Bug 1728068 - python-fsleyes fails to build on Fedora 31 (rawhide)
Summary: python-fsleyes fails to build on Fedora 31 (rawhide)
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-fsleyes
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Ankur Sinha (FranciscoD)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON38 F31FTBFS 1732841
TreeView+ depends on / blocked
 
Reported: 2019-07-08 23:37 UTC by Miro Hrončok
Modified: 2019-07-31 22:40 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-10 21:31:38 UTC


Attachments (Terms of Use)

Description Miro Hrončok 2019-07-08 23:37:42 UTC
python-fsleyes fails to build with Python 3.8.0b2.

Requires(rpmlib): rpmlib(CompressedFileNames) <= 3.0.4-1 rpmlib(FileDigests) <= 4.6.0-1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
Checking for unpackaged file(s): /usr/lib/rpm/check-files /builddir/build/BUILDROOT/python-fsleyes-0.30.0-1.fc31.x86_64
error: Installed (but unpackaged) file(s) found:
   /usr/bin/fsleyes_unfiltered


RPM build errors:
    Illegal char '*' (0x2a) in: 2.*
    Illegal char '*' (0x2a) in: 2.3.*
    Illegal char '*' (0x2a) in: 2.*
    Illegal char '*' (0x2a) in: 1.*
    Installed (but unpackaged) file(s) found:
   /usr/bin/fsleyes_unfiltered


This also happens in Koji with Python 3.7.

For the build logs, see:
https://copr-be.cloud.fedoraproject.org/results/@python/python3.8/fedora-rawhide-x86_64/00964915-python-fsleyes/

For all our attempts to build python-fsleyes with Python 3.8, see:
https://copr.fedorainfracloud.org/coprs/g/python/python3.8/package/python-fsleyes/

Testing and mass rebuild of packages is happening in copr. You can follow these instructions to test locally in mock if your package builds with Python 3.8:
https://copr.fedorainfracloud.org/coprs/g/python/python3.8/

Let us know here if you have any questions.


Note You need to log in before you can comment on or make changes to this bug.